%Intrinsic parameters, distortion and size of images (RGB High-Resolution camera)
K_hr = [681.331848 0 324.611664; 0 679.816040 244.573242; 0 0 1];
d_hr = 1.636246e-07;
w_hr = 640;
h_hr = 480;

%Intrinsic parameters, distortion and size of images (ToF camera)
K_tof = [282.301605 0 103.490730; 0 282.011963 104.197983; 0 0 1];
d_tof = 4.948560e-06;
w_tof = 204;
h_tof = 204;

% Transformation from RGB camera to ToF camera (RGB -> ToF)
R = [0.993054 -0.011799 0.117064; 0.011939 0.999929 -0.000496; -0.117049 0.001890 0.993124];
t = [-0.142361; -0.023158; 0.014622];

%Undistortion
x_centered = x_dist - P_x;
y_centered = y_dist - P_y;
factor = sqrt(1-2*d_tof*(x_centered*x_centered + y_centered*y_centered));
x_undist = x_centered/factor;
y_undist = y_centered/factor;


%Distortion
factor = sqrt(1+2*d_tof*(x_undist*x_undist + y_undist*y_undist));
x_dist = round(x_undist / factor + P_x);
y_dist = round(x_undist / factor + P_y);

        
